=== debian/changelog ===
ros-galactic-rosbag2-tests (0.9.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 26 Sep 2022 07:00:00 -0000

ros-galactic-rosbag2-tests (0.9.1-1focal) focal; urgency=high

  * [backport galactic] Handle SIGTERM gracefully in recording (#792 <https://github.com/ros2/rosbag2/issues/792>) (#807 <https://github.com/ros2/rosbag2/issues/807>)
    Backport #792 <https://github.com/ros2/rosbag2/issues/792> to galactic
    * Handle SIGTERM gracefully in recording
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 08 Jul 2021 07:00:00 -0000

ros-galactic-rosbag2-tests (0.9.0-1focal) focal; urgency=high

  * Correct expectation for exit code in play_end_to_end test since after redesign we are getting exception in constructor. (#763 <https://github.com/ros2/rosbag2/issues/763>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * correct exit code assertion (#747 <https://github.com/ros2/rosbag2/issues/747>)
  * Contributors: Karsten Knese, Michael Orlov

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-galactic-rosbag2-tests (0.8.0-1focal) focal; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)
    Add a new C++ Reindexer class for reconstructing metadata from bags that are missing it.
  * use rclcpp serialized messages to write data (#457 <https://github.com/ros2/rosbag2/issues/457>)
  * Contributors: Emerson Knapp, Karsten Knese, jhdcs

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-rosbag2-tests (0.7.0-1focal) focal; urgency=high

  * Alternative write api (#676 <https://github.com/ros2/rosbag2/issues/676>)
  * RMW-implementation-searcher converter in rosbag2_cpp (#670 <https://github.com/ros2/rosbag2/issues/670>)
  * Use rosbag2_py for ros2 bag info (#673 <https://github.com/ros2/rosbag2/issues/673>)
  * Remove temporary directory platform-specific logic from test fixture (#660 <https://github.com/ros2/rosbag2/issues/660>)
  * Fix --topics flag for ros2 bag play being ignored for all bags after the first one. (#619 <https://github.com/ros2/rosbag2/issues/619>)
  * Move zstd compressor to its own package (#636 <https://github.com/ros2/rosbag2/issues/636>)
  * Contributors: Alexander, Emerson Knapp, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosbag2-tests (0.6.0-1focal) focal; urgency=high

  * Fix relative metadata paths in SequentialCompressionWriter (#613 <https://github.com/ros2/rosbag2/issues/613>)
  * Recorder --regex and --exclude options (#604 <https://github.com/ros2/rosbag2/issues/604>)
  * Fix the tests on cyclonedds by translating qos duration values (#606 <https://github.com/ros2/rosbag2/issues/606>)
  * Contributors: Adam Dąbrowski, Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-rosbag2-tests (0.5.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-galactic-rosbag2-tests (0.4.0-1focal) focal; urgency=high

  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Removed duplicated code in record (#534 <https://github.com/ros2/rosbag2/issues/534>)
  * Change default cache size for sequential_writer to a non zero value (#533 <https://github.com/ros2/rosbag2/issues/533>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Mark flaky tests as xfail for now (#520 <https://github.com/ros2/rosbag2/issues/520>)
  * introduce defaults for the C++ API (#452 <https://github.com/ros2/rosbag2/issues/452>)
  * Adding db directory creation to rosbag2_cpp (#450 <https://github.com/ros2/rosbag2/issues/450>)
  * minimal c++ API test (#451 <https://github.com/ros2/rosbag2/issues/451>)
  * Add split by time to recording (#409 <https://github.com/ros2/rosbag2/issues/409>)
  * Contributors: Emerson Knapp, Jaison Titus, Karsten Knese, Marwan Taher, Michael Jeronimo, jhdcs

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-galactic-rosbag2-tests (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-tests (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-tests (0.3.0-1focal) focal; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-rosbag2-tests (0.2.8-1focal) focal; urgency=high

  * Disable play_filters_by_topic test (#410 <https://github.com/ros2/rosbag2/issues/410>)
  * Contributors: Mabel Zhang

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-rosbag2-tests (0.2.7-1focal) focal; urgency=high

  * Fix splitting tests on windows (#407 <https://github.com/ros2/rosbag2/issues/407>)
  * Fix #381 <https://github.com/ros2/rosbag2/issues/381> unstable play_end_to_end test (#396 <https://github.com/ros2/rosbag2/issues/396>)
  * Contributors: Karsten Knese, Mabel Zhang

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-rosbag2-tests (0.2.6-1focal) focal; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-rosbag2-tests (0.2.5-1focal) focal; urgency=high


